com.aventstack.extentreports.mediastorage.model

## Class KlovMedia

- java.lang.Object
- - com.aventstack.extentreports.mediastorage.model.KlovMedia

-     public class KlovMedia
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KlovMedia()`
    `KlovMedia(org.bson.types.ObjectId projectId, org.bson.types.ObjectId reportId, com.mongodb.client.MongoCollection<org.bson.Document> mediaCollection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.mongodb.client.MongoCollection<org.bson.Document>` | `getMediaCollection()`
    `org.bson.types.ObjectId` | `getProjectId()`
    `org.bson.types.ObjectId` | `getReportId()`
    `void` | `setMediaCollection(com.mongodb.client.MongoCollection<org.bson.Document> mediaCollection)`
    `void` | `setProjectId(org.bson.types.ObjectId projectId)`
    `void` | `setReportId(org.bson.types.ObjectId reportId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KlovMedia

          public KlovMedia()

    - #### KlovMedia

          public KlovMedia(org.bson.types.ObjectId projectId,
                           org.bson.types.ObjectId reportId,
                           com.mongodb.client.MongoCollection<org.bson.Document> mediaCollection)

  - ### Method Detail

    - #### getReportId

          public org.bson.types.ObjectId getReportId()

    - #### setReportId

          public void setReportId(org.bson.types.ObjectId reportId)

    - #### getProjectId

          public org.bson.types.ObjectId getProjectId()

    - #### setProjectId

          public void setProjectId(org.bson.types.ObjectId projectId)

    - #### getMediaCollection

          public com.mongodb.client.MongoCollection<org.bson.Document> getMediaCollection()

    - #### setMediaCollection

          public void setMediaCollection(com.mongodb.client.MongoCollection<org.bson.Document> mediaCollection)

Copyright © 2018. All rights reserved.